Bug 1199516 - [RFE] Move replication topology to the shared tree
Summary: [RFE] Move replication topology to the shared tree
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Namita Soman
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 837369 1199520 1206588
Blocks: 1313485 1206591 1296125 1298848
TreeView+ depends on / blocked
 
Reported: 2015-03-06 14:37 UTC by Martin Kosek
Modified: 2016-11-04 05:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 05:44:31 UTC


Attachments (Terms of Use)
tkt_4997.png (56.63 KB, image/png)
2016-08-17 09:22 UTC, Abhijeet Kasurde
no flags Details
tkt_4302_1.log (13.91 KB, text/plain)
2016-08-19 08:23 UTC, Abhijeet Kasurde
no flags Details
tkt_4302_2.log (20.17 KB, text/plain)
2016-08-19 08:24 UTC, Abhijeet Kasurde
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Martin Kosek 2015-03-06 14:37:21 UTC
The current way to handle replication, is cumbersome and makes it difficult to properly handle replication topology.

Create a new replication topology subtree under the cn=etc tree that will have a simplified schema to list the replication agreements between servers, and have a global configs for things like excluded replication attributes.

The idea is that admins would change objects in this shared tree and these changes would then be reflected in actual replication agreement changes in cn=config as a consequence.

Advantages (in no particular order):

* it becomes possible to easily visualize the topology w/o having to contact multiple servers
* it is possible to centrally remove a server and have all other server remove the relevant replication agreement w/o having to contact every single server
* it is possible to have a topology checker that uses graph theory
* it is possible to use said checker to prevent split brain situations by simply denying (LDAP_UNWILLING_TO_PERFORM) changes that would break the graph
* it is possible to create new agreements remotely w/o direct access to the replica just by virtue of replication of the shared tree.
* it will be possible to create multiple replication typologies for different database (ie one for main tree and one for CA data) and have distinct checks for all of them.

In the first version, the Web UI should be able to display at least read only graph of the replicas.

Comment 1 Petr Vobornik 2015-04-14 15:34:54 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3053

Comment 2 Petr Vobornik 2015-04-21 14:01:24 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4997

Comment 5 Petr Vobornik 2015-05-28 11:20:39 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5035

Comment 14 Martin Kosek 2015-06-30 10:50:31 UTC
The functionality is there. From now on, the feature is in bugfixing mode upstream.

Comment 15 Martin Kosek 2015-07-07 07:49:06 UTC
Topology feature was postponed in the upstream project, to FreeIPA 4.3 which should closely follow FreeIPA 4.2 release.

See the reasoning and details in:
http://www.redhat.com/archives/freeipa-devel/2015-July/msg00092.html

Comment 16 Petr Vobornik 2016-01-22 09:38:28 UTC
has been fixed upstream

Comment 17 Mike McCune 2016-03-28 22:42:18 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 19 Abhijeet Kasurde 2016-08-17 09:22 UTC
Created attachment 1191511 [details]
tkt_4997.png

Comment 20 Abhijeet Kasurde 2016-08-19 08:23 UTC
Created attachment 1192067 [details]
tkt_4302_1.log

Comment 21 Abhijeet Kasurde 2016-08-19 08:24 UTC
Created attachment 1192068 [details]
tkt_4302_2.log

Comment 22 Abhijeet Kasurde 2016-08-19 08:27:51 UTC
Verified RFE BZ using ipa version ::
ipa-server-4.4.0-8.el7.x86_64

Marking BZ as verified. Please see attachments for verification steps.

Comment 24 errata-xmlrpc 2016-11-04 05:44:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.